homepage/urls.py
from django.urls import path
from .views import index, experience

app_name = 'homepage'

urlpatterns = [
    path('', index, name='profile'),
    path('experience/', experience, name='exp'),
    # dilanjutkan ...
]

storyenam/urls.py
from django.urls import path, include 
from . import views
from .views import addactivity, listactivity, register, deleteUser

urlpatterns = [
        path('add/', addactivity, name="addactivity"),
        path('list/', listactivity, name="listactivity"),
        path('register/<int:task_id>/', register, name='register'),
        path('delete/<int:delete_id>/', deleteUser, name='delete'),

]

storylima/urls.py
from . import views
from django.contrib import admin
from django.urls import path,include
from django.conf import settings
from django.conf.urls.static import static
# from .views import matakuliah

app_name = 'storylima'

urlpatterns = [
    path('',views.index,name='index'),
    path('<int:matkul_id>/', views.detail, name='detail'),
    path('add/', views.add, name='add'),
    path('delete/<int:matkul_id>', views.delete, name='delete'),
]

storysatu/urls.py
from django.urls import path
from . import views

app_name = 'storysatu'

urlpatterns = [
    path('', views.index, name='index'),
    # dilanjutkan ...
]

storytiga/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story1/', include('storysatu.urls')),
    path('schedule/', include('storylima.urls')),
    path('activity/', include('storyenam.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

storyenam/models.py
from django.db import models

# Create your models here.


class Kegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length=100)
    # waktu_kegiatan = models.DateField()
    deskripsi_kegiatan = models.CharField(max_length=1000)
    def __str__(self):
        return self.nama_kegiatan


class Orang(models.Model):
    nama_orang = models.CharField(max_length=64)
    kegiatan = models.ForeignKey(Kegiatan,
                                 on_delete=models.CASCADE, null=True, blank=True)
    def __str__(self):
        return self.nama_orang

storylima/models.py
from django.db import models

class MataKuliah(models.Model):
    nama_matkul = models.CharField(max_length=250)
    dosen = models.CharField(max_length=500)
    jumlah_sks = models.PositiveIntegerField(default=3)
    deskripsi = models.CharField(max_length=1000)
    tahun_semester = models.CharField(max_length=250)
    ruang_kelas = models.CharField(max_length=300)

    def __str__(self):
        return self.nama_matkul

storysatu/models.py
from django.db import models

# Create your models here.

storyenam/forms.py
from django import forms


class FormKegiatan(forms.Form):
    nama_kegiatan = forms.CharField(
        label="What's your activity?",
        max_length=100,
        widget=forms.TextInput(
            attrs={
                'class': 'form-control w-60',
            }
        )
    )

class FormOrang(forms.Form):
    nama_orang = forms.CharField(
        label="Name",
        max_length=64,
        widget=forms.TextInput(
            attrs={
                'class': 'form-control',
            }
        )
    )

storylima/forms.py
from django import forms
from .models import *

class MataKuliahForm(forms.ModelForm):

    class Meta:
        model = MataKuliah
        fields = '__all__'

homepage/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'profile.html')

def experience(request):
    return render(request, 'experience.html')

storyenam/views.py
from django.shortcuts import render, redirect

# Create your views here.
from .forms import FormKegiatan, FormOrang
from .models import Kegiatan, Orang
from datetime import datetime

def addactivity(request):
    form_kegiatan = FormKegiatan()
    if request.method == "POST":
        form_kegiatan_input = FormKegiatan(request.POST)
        if form_kegiatan_input.is_valid():
            data = form_kegiatan_input.cleaned_data
            kegiatan_input = Kegiatan()
            kegiatan_input.nama_kegiatan = data['nama_kegiatan']
            kegiatan_input.save()
            # current_data = Kegiatan.objects.all()
            return redirect('/activity/list/')
            # return render(request, 'story6/addactivity.html', {'form': form_kegiatan, 'status': 'success'})
        else:
            # current_data = Kegiatan.objects.all()
            return render(request, 'addactivity.html', {'form': form_kegiatan, 'status': 'failed'})
    else:
        # current_data = Kegiatan.objects.all()
        return render(request, 'addactivity.html', {'form': form_kegiatan})


def listactivity(request):
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    return render(request, 'listactivity.html', {'kegiatan': kegiatan, 'orang': orang})

def register(request, task_id):
    form_orang = FormOrang()

    if request.method == "POST":
        form_orang_input = FormOrang(request.POST)
        # print('oi')
        if form_orang_input.is_valid():
            data = form_orang_input.cleaned_data
            orangBaru = Orang()
            orangBaru.nama_orang = data['nama_orang']
            orangBaru.kegiatan = Kegiatan.objects.get(id=task_id)
            orangBaru.save()
            return redirect('/activity/list')
        else:
            return render(request, 'register.html', {'form': form_orang, 'status': 'failed'})
    else:
        return render(request, 'register.html', {'form': form_orang})

def deleteUser(request, delete_id):
    # if request.method == "POST":
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    print(delete_id)
    orang_to_delete = Orang.objects.get(id=delete_id)
    orang_to_delete.delete()
    # return render(request, 'story6/listActivity.html', {'kegiatan': kegiatan, 'orang': orang})
    return redirect('/activity/list')

storylima/views.py
from django.shortcuts import render, get_object_or_404, redirect
from .models import MataKuliah
from .forms import *
from django.contrib import messages
from django.contrib.messages import constants

def index(request):
    all_matkul = MataKuliah.objects.all()
    return render(request, 'matakuliah.html', {'all_matkul': all_matkul})

def detail(request, matkul_id):
    matkul = get_object_or_404(MataKuliah, pk=matkul_id)
    return render(request, 'detail.html', {'matkul': matkul})

def add(request):
    if request.method == "POST":
        form = MataKuliahForm(request.POST)
        if form.is_valid():
            form.save()
            messages.success(request, (f"Course {request.POST['nama_matkul']} successfully added!"))
            redirect('/')
        else:
            messages.warning(request, ("Data invalid."))
            redirect('/')
    return render(request, 'add.html')

def delete(request, matkul_id):
    matkul = MataKuliah.objects.get(id=matkul_id)
    matkul.delete()
    messages.success(request, (f"Course {matkul} deleted"))
    return redirect('storylima:index')

storysatu/views.py
from django.shortcuts import render

def index(request):
    return render(request, 'project.html')
# Create your views here.

homepage/templates/base.html
<!DOCTYPE html>
{% load static %}
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Navbar</title>
  <meta name="description" content="" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet" href="{%static 'homepage/style.css' %}" />
  <link
    rel="stylesheet"
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
    crossorigin="anonymous"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Poppins"
    rel="stylesheet"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Mulish"
    rel="stylesheet"
  />
</head>

<body>

  <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="#home">
        <img
          src="{%static 'images/FS.png' %}"
          width="30"
          height="30"
          class="d-inline-block align-top"
          alt="home"
          loading="lazy"
        />
        <span class="sr-only">(current)</span>
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="nav navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#about"
              >About</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#edu"
              >Education</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#skills"
              >Skills</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:exp' %}">Experience</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'storylima:index' %}"
              >Schedule</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'addactivity' %}"
              >Activity</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#contact"
              >Contact</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
  {% block content%}
    
  {% endblock content%}

<script
      src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
      integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
      integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
      crossorigin="anonymous"
    ></script>
  </body>
</html>

homepage/templates/experience.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
      integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
      crossorigin="anonymous"
    />

    <link rel="icon" href="{%static 'images/FS.png' %}" />
    <link rel="stylesheet" href="{%static 'style.css' %}" />
    <link
      href="https://fonts.googleapis.com/css?family=Poppins"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css?family=Mulish"
      rel="stylesheet"
    />

    <title>Shafna | Experience</title>

    <style>
      body {
        position: absolute;
        width: 100%;
        height: 100%;
        overflow-x: scroll;
        background-image: url("{%static 'images/Desktop52.png' %}");
      }
    </style>
  </head>
  <body>
    {% include "base.html" %}

    <div id="exp" class="justify-content-center align-items-center">
      <div class="container">
        <div class="row">
          <div class="col text-center">
            <h1><b>Experience</b></h1>
          </div>
        </div>

        <section class="intro">
          <div class="container"></div>
        </section>

        <section class="timeline">
          <ul>
            <li>
              <div>
                <time>2014</time> <br />
                <b>Coordinator of Health Department</b> <br />OSIS SMP Labschool
                Cibubur
              </div>
            </li>
            <li>
              <div>
                <time>2018</time> <br /><b>Person in Charge of LPBB </b><br />
                CROPS Heritage
              </div>
            </li>
            <li>
              <div>
                <time>2020</time> <br />
                <b>Data Entry Internship </b><br />Stranas PK
              </div>
            </li>
            <li>
              <div>
                <time>2020</time><br />
                <b>Staff of Mentor and Participant</b> <br />BETIS 2020
              </div>
            </li>
            <li>
              <div>
                <time>2020</time><br />
                <b>Staff of Student Advocation and Welfare</b> <br />BEM
                Fasilkom UI
              </div>
            </li>
            <li>
              <div>
                <time>2020</time> <br /><b>Staff of Seminar</b> <br />COMPFEST
                13
              </div>
            </li>
            <li>
              <div>
                <time>2020</time><br />
                <b>Staff of Event</b> <br />OH Fasilkom 2020
              </div>
            </li>
          </ul>
        </section>
      </div>
    </div>

    <div id="footer" class="justify-content-center align-items-center">
      <div class="container">
        <p style="font-size: small">© 2020 Copyright Fikra Shafna</p>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
      integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
      integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
      crossorigin="anonymous"
    ></script>
    <script src="{%static 'Scroll.js' %}"></script>
  </body>
</html>

storyenam/templates/addactivity.html
{% extends 'base3.html' %}
{% load static %}

{% block content %}

<div class="container" style="padding-top:10%">
<div class="jumbotron" >
  <h1 class="display-4"><b>Let's get organize!</b></h1>
  <p class="lead">This page can help you to organize your activity.<br>
     You can add your activity and let others join the activity. <br>
     Let's get started!
    </p>
  
  <hr class="my-4">
  <p class="lead">
    <a class="btn btn-primary btn-lg" style="background:#00bcd4" href="#form " role="button">Add Activity</a>
    <a class="btn btn-primary btn-lg" style="background:#00bcd4" href="{% url "listactivity" %}" role="button">Activity List</a>
  </p>
</div>

<div class="container">
  <div class="row d-flex justify-content-center" style="padding-bottom: 7%;"><img src="{%static 'images/Group10.png' %}" class="img-fluid" alt="Responsive image"></div>
  <div class="row">

</div>
  <div style="background-color: #E4E3E3;">
      <div style="text-align:center ">
        <h1 class="judul">Add Activity</h1>

<form id="form" action="" method="POST">
    <div class="container">
    {% csrf_token %}
    <div class="form-group">
        <div class="text-sm">
            {{form.nama_kegiatan.label_tag}}
        </div>
            {{form.nama_kegiatan}}
    </div>
    
    <div class="form-group">
        <div class="text-sm">
            {{form.deskripsi_kegiatan.label_tag}}
        </div>
    </div>


    <div class="form-group row" style="padding-top:5%">
    <div class="col-sm-10" style="text-align: center;">
      <input type="submit" class="btn btn-primary" style="background:#00bcd4" value="Save Activity">
     <small id="passwordHelpBlock" class="form-text text-muted">Click "Activity List" to see your activity</small>
    </div>

    </div>
    </form>
    </div>
    </div> 
{% endblock  %}

storyenam/templates/base3.html
<!DOCTYPE html>
{% load static %}
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Activity</title>
  <meta name="description" content="" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet" href="{%static 'style3.css' %}" />
  <link rel="icon" href="{%static 'images/FS.png' %}" />
  <link
    rel="stylesheet"
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
    crossorigin="anonymous"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Poppins"
    rel="stylesheet"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Mulish"
    rel="stylesheet"
  />

  <style>
    body{
      margin-top: auto;
      padding-top: 5%;
      background-color:#f8f5f5;
    }
  </style>
</head>

<body>

  <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="{% url 'homepage:profile' %}#home">
        <img
          src="{%static 'images/FS.png' %}"
          width="30"
          height="30"
          class="d-inline-block align-top"
          alt="home"
          loading="lazy"
        />
        <span class="sr-only">(current)</span>
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="nav navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#about"
              >About</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#edu"
              >Education</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#skills"
              >Skills</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:exp' %}">Experience</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'storylima:index' %}"
              >Schedule</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'addactivity' %}"
              >Activity</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#contact"
              >Contact</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
  {% block content%}
    
  {% endblock content%}

<script
      src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
      integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
      integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
      crossorigin="anonymous"
    ></script>
  </body>
</html>

storyenam/templates/listactivity.html
{% extends 'base3.html' %}
{% load static %}

{% block content %}
<div style="text-align:center; background-color: #E4E3E3;">
        <h1 class="judul">Activity List</h1>
         <a  href="{% url 'addactivity' %}">
        <button style="margin-top:1%; background:#00bcd4" class="btn btn-primary btn-lg" > Add Activity</button>
        </a>
        {% comment %} <a  href="{% url 'lihat_jadwal' %}">
        <button style="margin-top:1%; background:#00bcd4" class="btn btn-primary btn-lg" >See Activity</button>
        </a>  {% endcomment %}
<div style="font-family: Poppins;" class="row w-100 justify-content-center">
        {% for x in kegiatan %}
        <div class="col-4 m-4 p-4 rounded border">
            <ul class="list-group">
                <li class="list-group-item list-group-item-secondary"> <b> {{ x.nama_kegiatan }} </b> </li>

                {% for y in orang %}
                {% if y.kegiatan == x %}
                <li class="list-group-item">
                    <div class="d-flex justify-content-between">
                        {{ y.nama_orang }}
                        <button type="button" class="btn btn-warning btn-sm">
                            <a href="{% url 'delete' delete_id=y.pk %}">x</a>
                        </button>

                    </div>
                </li>
                {% endif %}
                {% endfor %}
            </ul>

            <div style="font-size: .75em;" class="section-title mx-auto text-center my-3">

                <a href="{%url 'register' task_id=x.pk%}" class="btnMatkul">
                    <button type="button" class="btn btn-info btn-sm"> Register</button>
                </a>
            </div>
        </div>
        {% endfor %}
    </div>

</div>



{% endblock %}

storyenam/templates/register.html
{% extends 'base3.html' %}
{%load static%}

{% block content %}

<div class="container" style:"padding-top:50%;">
    {% comment %} <div style:"text-align:center"> {% endcomment %}
        <h1 class="judul">Join the activity</h1>
        <div style="font-family: tienne;">

            <form method="post">
                {% csrf_token %}
                <div class="form-group">
                    <div>
                        {{form.nama_orang.label_tag}}
                    </div>
                    {{form.nama_orang}}
                </div>
                <a href="" class="btnMatkul">
                    <button type="submit">Join!</button>
                </a>
            </form>
        </div>

    </div>
</div>
<!-- <a href="/list">list all</a> -->
{% endblock content %}

storylima/templates/base1.html
<!DOCTYPE html>
{% load static %}
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Course</title>
  <meta name="description" content="" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="icon" href="{%static 'images/FS.png' %}" />
  <link rel="stylesheet" href="{%static 's5style.css' %}" />
  <link
    rel="stylesheet"
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
    crossorigin="anonymous"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Poppins"
    rel="stylesheet"
  />
  <link
    href="https://fonts.googleapis.com/css?family=Mulish"
    rel="stylesheet"
  />

  <style>
    body{
      margin-top: auto;
      padding-top: 10%;
      background-color:#f8f5f5;
    }
  </style>
</head>

<body>

  <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="{% url 'homepage:profile' %}#home">
        <img
          src="{%static 'images/FS.png' %}"
          width="30"
          height="30"
          class="d-inline-block align-top"
          alt="home"
          loading="lazy"
        />
        <span class="sr-only">(current)</span>
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="nav navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#about"
              >About</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#edu"
              >Education</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#skills"
              >Skills</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:exp' %}">Experience</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'storylima:index' %}"
              >Schedule</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'addactivity' %}"
              >Activity</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:profile' %}#contact"
              >Contact</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
  {% block content%}
    
  {% endblock content%}

<script
      src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
      integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
      integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
      crossorigin="anonymous"
    ></script>
  </body>
</html>

storylima/templates/matakuliah.html
{% extends 'base1.html' %}
{% block content %}

<div class="container my-4" style="margin-top: 15%;">
    <a class="nav-link" href="{%url 'storylima:add' %}">Add Course<span class="sr-only">(current)</span></a>
  {% if messages %}
	{% for message in messages %}
		<div class="alert alert-warning alert-dismissible fade show mt-4" role="alert">
			{{ message }}
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
		</div>
	{% endfor %}
    {% endif %}
    
  {%if all_matkul%}
        {% for matkul in all_matkul %}
        <div class="card mt-3">
                <div class="card-body d-flex justify-content-between flex-column flex-md-row">
                    <div>
                        <a href="{% url 'storylima:detail' matkul.id %}"><h5 class="card-title">{{ matkul.nama_matkul }}</h5></a>
                        <h6 class="card-subtitle mb-2 text-muted">{{ matkul.tahun_semester}}</h6>
                    </div>
                    <a href="{% url 'storylima:delete' matkul.id %}" class="card-link text-danger mt-3 mt-md-0 mr-md-4 align-self-center">DELETE</a>
                </div>
        </div>
        {%endfor%}

    {%else%}
     <h3>You don't have any course.</h3>
{%endif%}
</div>
{% endblock content %}